#ifndef __IDS_H__
#define __IDS_H__


interface CDropSource: public IDropSource
{
	private:
		ULONG m_cRefCount;
		bool deleteself;
		CDropSource** pthis;

	public:
		//Members
		CDropSource( bool delself = false, CDropSource** p = NULL);
		~CDropSource();

		//IUnknown members
		STDMETHODIMP QueryInterface( REFIID iid, void** ppvObject );
		STDMETHODIMP_(ULONG) AddRef( void );
		STDMETHODIMP_(ULONG) Release( void );

		//IDataObject members
		STDMETHODIMP GiveFeedback( DWORD dwEffect );
		STDMETHODIMP QueryContinueDrag( BOOL fEscapePressed,DWORD grfKeyState );
};


#endif //__IDS_H__